Loading...
Searching...
No Matches
cxx::H_list_t< T > Struct Template Reference

Double-linked list of typed H_list_item_t elements. More...

`#include <hlist>`

Inheritance diagram for cxx::H_list_t< T >:
Collaboration diagram for cxx::H_list_t< T >:

## Additional Inherited Members

Public Member Functions inherited from cxx::H_list< T, Bits::Basic_list_policy< T, H_list_item_t< T > > >
void | add (T *e)
| Add element to the front of the list.
void | push_front (T *e)
| Add element to the front of the list.
T * | pop_front ()
| Remove and return the head element of the list.
Iterator | insert (T *e, Iterator const &pred)
| Insert an element at the iterator position.
Public Member Functions inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< T, H_list_item_t< T > > >
bool | empty () const
| Check if the list is empty.
Value_type | front () const
| Return the first element in the list.
void | clear ()
| Remove all elements from the list.
Iterator | begin ()
| Return an iterator to the beginning of the list.
Const_iterator | end () const
| Return a const iterator to the end of the list.
Static Public Member Functions inherited from cxx::H_list< T, Bits::Basic_list_policy< T, H_list_item_t< T > > >
static Iterator | iter (T *c)
| Return an iterator for an arbitrary list element.
static bool | in_list (T const *e)
| Check if the given element is currently part of a list.
static Iterator | insert_after (T *e, Iterator const &pred)
| Insert an element after the iterator position.
static void | insert_before (T *e, Iterator const &succ)
| Insert an element before the iterator position.
static void | replace (T *p, T *e)
| Replace an element in a list with a new element.
static void | remove (T *e)
| Remove the given element from its list.
static Iterator | erase (Iterator const &e)
| Remove the element at the given iterator position.
Static Public Member Functions inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< T, H_list_item_t< T > > >
static Const_iterator | iter (Const_value_type c)
| Return a const iterator that begins at the given element.
Protected Attributes inherited from cxx::Bits::Basic_list< Bits::Basic_list_policy< T, H_list_item_t< T > > >
Bits::Basic_list_policy< T, H_list_item_t< T > >::Head_type | _f
| Pointer to front of the list.

## Detailed Description

template<typename T>
struct cxx::H_list_t< T >

Double-linked list of typed H_list_item_t elements.

Note
  H_lists are not self-cleaning. Elements that are still chained during destruction are not removed and will therefore be in an undefined state after the destruction.

Definition at line 248 of file hlist.

The documentation for this struct was generated from the following file:

- l4/cxx/hlist